import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/wx/officialaccount/` + url, ...arg)

/**
 * 公众号Api接口管理器
 *
 * @author Luck
 * @date  2024/07/24 20:01
 **/
export default {
	// 获取公众号分页
	officialAccountPage(data) {
		return request('page', data, 'get')
	},
	// 提交公众号表单 edit为true时为编辑，默认为新增
	officialAccountSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除公众号
	officialAccountDelete(data) {
		return request('delete', data)
	},
	// 获取公众号详情
	officialAccountDetail(data) {
		return request('detail', data, 'get')
	}
}
